%define name pptpd
%define ver 1.1.2 
%define rel 2
%define prefix /usr

Summary: A PPTP server daemon started from init (/etc/rc.d/init.d/).
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/Daemons
Packager: Andy Worthington <christopherandrew@ou.edu>
Source0: %{name}-%{ver}.tar.gz
Source1: vpnuser
Source2: vpnstats
Patch: pptpd-init-script.patch
URL: http://poptop.lineo.com
Buildroot: %{_tmppath}/%{name}-root

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server.  In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is.  A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

%prep
%setup -q
%patch -p1

%build
./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ppp
make prefix=$RPM_BUILD_ROOT%{prefix} install
install -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf
install -m 0644 samples/options.pptpd $RPM_BUILD_ROOT/etc/ppp/options.pptpd
install -m 0755 pptpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/pptpd
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/usr/sbin/vpnuser
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/usr/sbin/vpnstats
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 0644 pptpd.conf.5 $RPM_BUILD_ROOT/usr/man/man5/pptpd.conf.5
install -m 0644 pptpd.8 $RPM_BUILD_ROOT/usr/man/man8/pptpd.8
install -m 0644 pptpctrl.8 $RPM_BUILD_ROOT/usr/man/man8/pptpctrl.8
strip $RPM_BUILD_ROOT/%{prefix}/sbin/* || :

%post
OUTD="" ; for i in d manager ctrl ; do
    test -x /usr/bin/pptp$i && OUTD="$OUTD /usr/bin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; you should do run the following command:"; echo "rm -i $OUTD" ;}
/sbin/chkconfig --add pptpd
TEMP=$(locate /etc/modules.conf)
if [ "$TEMP" = "" ]; then ln -s /etc/conf.modules /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp ppp_generic")
if [ "$TEMP" = "" ]; then echo "alias ppp ppp_generic" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias char-major-108 off")
if [ "$TEMP" = "" ]; then echo "alias char-major-108 off # This will be different for 2.3.x kernels" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-18 ppp_mppe")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-18 ppp_mppe" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-21 bsd_comp")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-21 bsd_comp" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-24 ppp_deflate")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-24 ppp_deflate" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-26 ppp_deflate")
if [ "$TEMP" = "" ]; then echo "alias ppp-compress-26 ppp_deflate" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias net-pf-47 ip_gre")
if [ "$TEMP" = "" ]; then echo "alias net-pf-47 ip_gre" >> /etc/modules.conf; fi
depmod -a

%preun
/sbin/chkconfig --del pptpd

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples
/usr/sbin/pptpd
/usr/sbin/pptpctrl
/usr/sbin/vpnuser
/usr/sbin/vpnstats
/usr/man/man5/pptpd.conf.5*
/usr/man/man8/pptpd.8*
/usr/man/man8/pptpctrl.8*
/etc/rc.d/init.d/pptpd
%config /etc/pptpd.conf
%config /etc/ppp/options.pptpd

%changelog
* Tue Feb 19 2002 Richard de Vroede <richard@linvision.com>
- added check for ip_gre alias in /etc/modules.conf
- tweaked the config some

* Fri Feb 8 2002 Richard de Vroede <richard@linvision.com>
- added check for important aliases in /etc/modules.conf
- added support for older /etc/conf.modules (by ln-ing it)
- added vpnuser script to simplify managing vpnusers
- added vpnstats script to send nice comma-separated stats to admin

* Mon Jan 14 2002 Richard de Vroede <richard@linvision.com>
- changed the BuildRoot
- added * after the manfiles in the "%files" section to fix build
- updated to 1.1.2

* Mon Oct 9 2000 Andy Worthington <christopherandrew@ou.edu>
- changed url and source to new website
- added man pages to files
- removed startup via inittab
- added startup via init (/etc/rc.d/init.d)
- updated to 1.0.1

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- added "%config /etc/pptpd.conf" back to spec
- updated to 1.0.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- started changelog
- quiet setup
- changed prefix to be /usr instead of /usr/local
- added buildroot
- fixed %install section so that it uses buildroot
- updated source to 0.9.10
- built to be included into Powertools
- spec based heavily on spec by "Allan's Package-O-Matic Blenderfier"
